<?php
header("Content-Type: application/json");

date_default_timezone_set("Asia/Tehran");
$timestamp = time();
$latitude = 35.69;
$longitude = 51.42;

$date_details = date_sun_info($timestamp , $latitude ,$longitude );
$sunrise_ts = $date_details['sunrise'];
$sunset_ts = $date_details['sunset'];
$statusDay = "night";

if($sunrise_ts <= $timestamp && $timestamp < $sunset_ts) $statusDay = "day";

$dateJsonList = [
    "timestamp" => $timestamp,
    "date" => date("Y-m-d"),
    "time" => date("H:i:s"),
    "statusDay" => $statusDay
];

die(json_encode($dateJsonList));

?>