const randomInt = Math.floor(Math.random() * 100) + 1;
const quoteURL = "https://api.rapidcode.ir/quote/";
const dateURL = location.href + "api-date.php";
let secondsInterval = null;
let timestamp = 0;
let timeCheckSeconds = 0; 
let everySecondsApiCheck = 10;

funcSendGetData(quoteURL , {"lid" : randomInt} , function(res){
    if(res.status == 1){
        const data = res.content;
        document.querySelector(".dt.quote #val").textContent = data.Quote;
        document.querySelector(".dt.quote #val2").textContent = data.Author;
    }
});

funcSendGetData(dateURL , {} , funcDateUpdate);



function funcSendGetData(url, dataLists , customFunc) {

    const xhr = new XMLHttpRequest();
    xhr.responseType = "json";
    const queryString = new URLSearchParams;
    if (dataLists && typeof dataLists == "object") {
        for(const dataList in dataLists) queryString.append(dataList , dataLists[dataList]);
    } else dataLists = "";


    xhr.open("GET", url + "?" + queryString.toString());
    xhr.setRequestHeader("Content-Type" , "application/json");

    xhr.onreadystatechange = function (e) {

        if (this.status === 200 && this.readyState == this.DONE) {

            const res = this.response;
            customFunc(res);

        } else if (this.status < 200 && this.readyState == this.DONE) {
            window.alert("خطای شبکه");
            console.error("ERR");
        }
    }

    xhr.send();

}

function funcDateUpdate(res){
    
    document.querySelector(".dt.time #val").textContent = res.time;

        timestamp = res.timestamp;
        const date = new Date(timestamp * 1000);
        document.querySelector(".dt.date #val").textContent = farvardin.gregorianToSolar(date.getFullYear() , (date.getMonth() + 1) , (date.getDay()+1) , "string")
        document.querySelector(".dan").id = res.statusDay;
        
        clearInterval(secondsInterval);

        secondsInterval = setInterval(function(){
            
            if(everySecondsApiCheck<=timeCheckSeconds){
                timeCheckSeconds = 0;
                funcSendGetData(dateURL , {} , funcDateUpdate);
            }

            timestamp++;
            const miliSeconds = timestamp * 1000;
            const date = new Date(miliSeconds);
            const Hours = (date.getHours() < 10 ? "0" : "") + date.getHours();
            const Minutes = (date.getMinutes() < 10 ? "0" : "") + date.getMinutes();
            const seconds = (date.getSeconds() < 10 ? "0" : "") + date.getSeconds();
            document.querySelector(".dt.time #val").textContent = Hours + ":" + Minutes + ":" + seconds;
            timeCheckSeconds++;
        } , 1000)
}
